<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>CCA Details | Student Dashboard</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description">
    <meta content="Coderthemes" name="author"> <!-- App favicon -->
    <link rel="shortcut icon" href="../img/GCIT_logo.png"> <!-- third party css -->
    <link href="../css/vendor/jquery-jvectormap-1.2.2.css" rel="stylesheet" type="text/css">
    <link href="../css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css">
    <link href="../css/vendor/responsive.bootstrap5.css" rel="stylesheet" type="text/css">
    <link href="../css/vendor/buttons.bootstrap5.css" rel="stylesheet" type="text/css">
    <link href="../css/vendor/select.bootstrap5.css" rel="stylesheet" type="text/css"> <!-- third party css end -->
    <!-- App css -->
    <link href="../css/icons.min.css" rel="stylesheet" type="text/css">
    <link href="../css/app.min.css" rel="stylesheet" type="text/css" id="light-style">
    <link href="../css/app-dark.min.css" rel="stylesheet" type="text/css" id="dark-style">
</head>

<body class="loading" data-layout-config='{"leftSideBarTheme":"dark","layoutBoxed":false, "leftSidebarCondensed":false, "leftSidebarScrollable":false,"darkMode":false, "showRightSidebarOnStart": true}'>
    <!-- Begin page -->
    <div class="wrapper">
        <!-- ========== Left Sidebar Start ========== -->
        <div class="leftside-menu">
            <!-- LOGO --> <a href="./studentDashboard" class="logo text-center logo-light"> <span class="logo-lg">
                 <img src="../img/GCIT_logo.png" alt="" height="40"> </span> <span class="logo-sm"> <img src="../img/GCIT_logo.png" alt="" height="40"> </span> </a> <!-- LOGO --> <a href="./studentDashboard" class="logo text-center logo-dark"> <span class="logo-lg"> <img src="../img/GCIT_logo.png" alt="" height="40"> </span> <span class="logo-sm"> <img src="../img/GCIT_logo.png" alt="" height="40"> </span> </a>
            <div class="h-100" id="leftside-menu-container" data-simplebar="">
                <!--- Sidemenu -->
                <ul class="side-nav">
                    <li class="side-nav-title side-nav-item">Navigation</li>
                    <li class="side-nav-item"> <a href="./studentDashboard" class="side-nav-link"> <i class="uil-users-alt"></i> <span> My Profile </span> </a> </li>
                    <li class="side-nav-item"> <a href="./cca" class="side-nav-link"> <i class="uil-table"></i> <span> My CCA Records </span> </a> </li>
                    <li class="side-nav-item">
                        <a href="./about" class="side-nav-link">
                            <i class="uil-exclamation-circle"></i>
                            <span> About </span>
                        </a>
                    </li>
                </ul> <!-- End Sidebar -->
                <div class="clearfix"></div>
            </div> <!-- Sidebar -left -->
        </div> <!-- Left Sidebar End -->
        <!-- ============================================================== -->
        <!-- Start Page Content here -->
        <!-- ============================================================== -->
        <div class="content-page">
            <div class="content">
                <!-- Topbar Start -->
                <div class="navbar-custom">
                    <ul class="list-unstyled topbar-menu float-end mb-0">
                        <li class="dropdown notification-list"> <a class="nav-link dropdown-toggle nav-user arrow-none me-0" data-bs-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false"> <span class="account-user-avatar"> <img src="userImages/<%= std.photo %>" alt="user-image" class="rounded-circle"> </span> <span> <span class="account-user-name"><%= std.name %></span> <span class="account-position">Student</span> </span> </a>
                            <div class="dropdown-menu dropdown-menu-end dropdown-menu-animated topbar-dropdown-menu profile-dropdown">
                                <!-- item-->
                                <div class=" dropdown-header noti-title">
                                    <h6 class="text-overflow m-0">Welcome !</h6>
                                </div> <!-- item--> <a href="./studentSetting" class="dropdown-item notify-item"> <i class="mdi mdi-account-edit me-1"></i> <span>Settings</span> </a> <!-- item--> <a href="/logout" class="dropdown-item notify-item"> <i class="mdi mdi-logout me-1"></i> <span>Logout</span> </a>
                            </div>
                        </li>
                    </ul> <button class="button-menu-mobile open-left button-collapse"> <i class="mdi mdi-menu"></i> </button>
                </div> <!-- end Topbar -->
                <!-- Start Content-->
                <div class="container-fluid">
                    <!-- start page title -->
                    <div class="row">
                        <div class="col-12">
                            <div class="page-title-box">
                                <h4 class="page-title">CCA Details</h4>
                            </div>
                        </div>
                    </div> <!-- end page title -->
                    <div class="row">
                        <div class="card">
                            <div class="card-body">
                                <h4 class="header-title">CCA Points</h4>
                                <hr>
                                <table id="scroll-horizontal-datatable" class="table w-100 nowrap">
                                    <thead>
                                        <tr>
                                            <th>Event Name</th>
                                            <th>Component</th>
                                            <th>Role</th>
                                            <th>Year</th>
                                            <th>Points</th>                                            
                                        </tr>
                                    </thead>
                                    <tbody> <% if (cca.length > 0) { %> <% cca.forEach(function(request) { %> 
                                        <tr> <% if (request.ccaStatus === "Approved") { %> 
                                            <td><%= request.eventName %></td>
                                            <td><%= request.components %></td>
                                            <td><%= request.roleName %></td>
                                            <td><%= year %></td>
                                            <td><%= request.point %></td>                                            
                                            <%}%>
											  </tr>
											<% }); %> <% } else { %>
                                        <tr>
                                            <td colspan="5">No CCA points yet</td>
                                        </tr> <% } %>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div> <!-- container -->
            </div> <!-- content -->
            <!-- Footer Start -->
            <footer class="footer">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-6">
                            <script>
                                document.write(new Date().getFullYear())
                            </script> © GCIT
                        </div>
                        <!-- <div class="col-md-6">
                            <div class="text-md-end footer-links d-none d-md-block">
                                <a href="./about">About</a>

                            </div>
                        </div> -->
                    </div>
                </div>
            </footer> <!-- end Footer -->
        </div> <!-- ============================================================== -->
        <!-- End Page content -->
        <!-- ============================================================== -->
    </div> <!-- END wrapper -->
    <!-- bundle -->
    <script src="../js/vendor.min.js"></script>
    <script src="../js/app.min.js"></script> <!-- third party js -->
    <!-- for table -->
    <script src="../js/vendor/jquery.dataTables.min.js"></script>
    <script src="../js/vendor/dataTables.bootstrap5.js"></script>
    <script src="../js/vendor/dataTables.responsive.min.js"></script>
    <script src="../js/vendor/responsive.bootstrap5.min.js"></script>
    <script src="../js/vendor/dataTables.select.min.js"></script>
    <script src="../js/vendor/dataTables.buttons.min.js"></script>
    <script src="../js/vendor/buttons.bootstrap5.min.js"></script>
    <script src="../js/vendor/buttons.html5.min.js"></script>
    <script src="../js/vendor/buttons.print.min.js"></script> <!-- third party js ends -->
    <!-- demo app -->
    <script src="../js/pages/demo.dashboard.js"></script>
    <script src="../js/pages/demo.datatable-init.js"></script> <!-- end demo js-->
</body>

</html>